Bug 8899 - нужно libgdb
: нужно libgdb
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/gdb)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
: 13442
  Show dependency tree
 
Reported: 2006-01-21 14:07 by
Modified: 2007-11-19 18:36 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-01-21 14:07:39
просьба также сделать пакеты libgdb и libgdb-devel

Они нужны для сборки Free Pascal

Возможно и другие компиляторы могли бы их использовать
------- Comment #1 From 2007-04-01 21:59:33 -------
Я не знаю, какими файлами комплектовать эти пакеты.
Без вашего содействия этот вопрос так и останется вопросом.
------- Comment #2 From 2007-05-23 15:10:47 -------
Не нужно собирать libgdb отдельным пакетом. Дело в том, что FreePascal и RHIDE,
которые собираются с libgdb, довольно серьезно лазят в его внутренности,
поэтому
не работают со всеми версиями gdb, для них нужно брать и собирать с той
версией,
с которой они реально могут собраться и работать. В жизни эта версия, как
правило, отличается от системной.

Пример сборки с внутренним libgdb можно посмотреть вот тут:
http://boids.name/extract/rhide-1.5-1.src.rpm, эту сборку я делал для OpenSUSE,
а не для ALT, поэтому зависимости там другие (и spec-файл тоже), но там есть
нужные патчи и общий подход.
Пример работающей системы: http://boids.name/extract/rhide-use.gif

Рекомендую собрать FP и RHIDE одинаково с одним и тем же исходным деревом
libgdb, но статически.
------- Comment #3 From 2007-06-08 19:07:46 -------
Меня бы устроил статический libgdb.a и ещё несколько дополнительных библиотек
из
этого комплекта.  Я так сделал в gdb.git 6.3-alt2.1-1-gd41d230.  Аналогично
сделано в libgit-devel.  Что, в общем-то, некрасиво, но лучше чем никак.
------- Comment #4 From 2007-11-01 11:11:34 -------
Может "LATER" уже наступило?  ;-) 
Очень хотелось бы иметь отладчик в FP
------- Comment #5 From 2007-11-16 16:04:06 -------
можно ли рассчитывать на продвижение в этом вопросе ?
поддержка gdb в fpc нужна для образовательных проектов.
------- Comment #6 From 2007-11-16 16:22:19 -------
(In reply to comment #5)
> можно ли рассчитывать на продвижение в этом вопросе ?
> поддержка gdb в fpc нужна для образовательных проектов.
> 

Решение имени at@ устроит?
------- Comment #7 From 2007-11-16 16:46:56 -------
если оно работоспособно -- разумеется.
at: ты пробовал или мне этим заниматься ?
------- Comment #8 From 2007-11-16 19:31:15 -------
этого достаточно, ждём в 4.0

------- Comment #9 From 2007-11-16 20:43:52 -------
Fixed by libgdb-devel-6.6-alt2.